BendCornerCollection Class

class NXOpen.Routing.BendCornerCollection

Bases: object

Represents a collection of NXOpen.Routing.BendCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
AssignCornerByBendRadius This routine assigns a new bend corner to the given input bend corner object using bend radius.
AssignCornerByBendRatio This routine assigns a new bend corner to the given input bend corner object using bend ratio.
AssignCornerByBendTable This routine assigns a bend corner to the given input RCP object using a bend table entry.
Create Create a bend corner object at a Control Point.
CreateCorner Create a bend corner object at a Control Point.
GetBendAssociatedToSegment Enquire the Bend Corner that this segment represents.
GetBendCornersFromObjects Returns all the corners connected to the given objects, if any.

Enumerations

BendCornerCollectionType Enumeration Option for creating a bend using a bend table or using radius or ratio

Method Detail

AssignCornerByBendRadius

BendCornerCollection.AssignCornerByBendRadius

This routine assigns a new bend corner to the given input bend corner object using bend radius.

This “assignment” can involve the removal of an existing corner at this location and the creation of a new corner.

Signature AssignCornerByBendRadius(bendCrn, bendRadius)

Parameters:
Returns:

The newly created Bend Corner

Return type:

NXOpen.Routing.BendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

AssignCornerByBendRatio

BendCornerCollection.AssignCornerByBendRatio

This routine assigns a new bend corner to the given input bend corner object using bend ratio.

This “assignment” can involve the removal of an existing corner at this location and the creation of a new corner.

Signature AssignCornerByBendRatio(bendCrn, bendRatio)

Parameters:
Returns:

The newly created Bend Corner

Return type:

NXOpen.Routing.BendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

AssignCornerByBendTable

BendCornerCollection.AssignCornerByBendTable

This routine assigns a bend corner to the given input RCP object using a bend table entry.

This “assignment” can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.

Signature AssignCornerByBendTable(rcp, bendTable)

Parameters:
  • rcp (NXOpen.Routing.ControlPoint) – Control point to assign corner to. None not allowed.
  • bendTable (str) – The bend table entry that is used to create bend corner
Returns:

The newly created Bend Corner

Return type:

NXOpen.Routing.BendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

Create

BendCornerCollection.Create

Create a bend corner object at a Control Point.

Signature Create(rcp, useBendRatio, bendRatio, bendRadius)

Parameters:
  • rcp (NXOpen.Routing.ControlPoint) – Route control point to bend.
  • useBendRatio (bool) – TRUE: use bend ratio calculation, FALSE: use given radius
  • bendRatio (float) – Bend ratio only used if use_bend_ratio is TRUE. Must be greater than 0.5.
  • bendRadius (float) – Radius of bend corner arc, only used if use_bend_ratio is FALSE. Must be greater than 0.
Returns:

The new bend corner.

Return type:

NXOpen.Routing.BendCorner

New in version NX4.0.0.

Deprecated since version NX8.5.0: Use Routing.BendCornerCollection.CreateCorner() instead.

License requirements: routing_base (“Routing Basic”)

CreateCorner

BendCornerCollection.CreateCorner

Create a bend corner object at a Control Point.

Signature CreateCorner(rcp, bendMethod, bendRatio, bendRadius)

Parameters:
Returns:

The new bend corner.

Return type:

NXOpen.Routing.BendCorner

New in version NX8.5.0.

License requirements: routing_base (“Routing Basic”)

GetBendAssociatedToSegment

BendCornerCollection.GetBendAssociatedToSegment

Enquire the Bend Corner that this segment represents.

(None can be returned, indicating that this segment does not represent a Bend Corner.)

Signature GetBendAssociatedToSegment(segment)

Parameters:segment (NXOpen.Routing.ISegment) – Segment being queried for the Bend Corner it represents.
Returns:Bend Corner that segment represents

(None can be returned,indicating that segment does not represent a Bend Corner). :rtype: NXOpen.Routing.BendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

GetBendCornersFromObjects

BendCornerCollection.GetBendCornersFromObjects

Returns all the corners connected to the given objects, if any.

Can find corners from NXOpen.Routing.ControlPoint`s, :py:class:`NXOpen.Routing.ISegment`s, or :py:class:`NXOpen.Routing.Stock.

Signature GetBendCornersFromObjects(objects)

Parameters:objects (list of NXOpen.NXObject) –
Returns:
Return type:list of NXOpen.Routing.BendCorner

New in version NX11.0.0.

License requirements: routing_base (“Routing Basic”)